Subject: Re: [Gen-art] Gen-ART review of draft-ietf-eai-pop-07.txt

From: Alexey Melnikov <[email-masked]>
Date: Sat, 17 Oct 2009 13:26:51 +0100

Brian E Carpenter wrote:

>I have been selected as the General Area Review Team (Gen-ART)
>reviewer for this draft (for background on Gen-ART, please see
>http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
>
>Please wait for direction from your document shepherd
>or AD before posting a new version of the draft.
>  
>
Hi Brian,
Thanks for your review. Some quick comments below:

>Note that this serves both as a Last Call review and a
>pre-telechat review, since the draft is on the IESG agenda
>before the Last Call expiry.
>  
>
Correction: IESG telechat is after IETF LC expiration, as per your note 
below:

>Document: draft-ietf-eai-pop-07.txt 
>Reviewer: Brian Carpenter
>Review Date: 2009-10-17
>IETF LC End Date: 2009-10-20
>IESG Telechat date: 2009-10-22
>
>Summary:  Almost ready, open issues
>--------
>
>I haven't reviewed this as if was a proposed standard; it strikes me as
>significantly experimental, especially given the age of most operational
>POP3 code. That being so, I have no major technical comments.
>
>Major issues:
>-------------
>
>I fully agree with Lars Eggert's DISCUSS; as Experimental, this cannot update RFC 1939.
>
I will discuss this with the rest of IESG.

>Also, it has RFC 5335 as a normative reference. That is an Experimental RFC, so
>there's no way the present draft could simply be elevated to PS.
>
If we can't move RFC 5335 to PS, this document is not going to be needed 
on Standard Track anyway...

>Minor issues:
>-------------
>
>I would have expected a reference to RFC 5198 (PS for UTF-8 in protocols)
>  
>
I don't think this is needed. If you disagree, you need to be more 
specific about sections you think it might apply to.

>as well as RFC 3629.
RFC 3629 is a normative reference already.

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 18 Oct 2009 09:17:08 +1300

On 2009-10-18 01:26, Alexey Melnikov wrote:
>> Document: draft-ietf-eai-pop-07.txt Reviewer: Brian Carpenter
>> Review Date: 2009-10-17

Yes, but I was asked to review it for both purposes simultaneously.

> I will discuss this with the rest of IESG.

OK

> on Standard Track anyway...

Sure, that was just meant as an observation.

> specific about sections you think it might apply to.

I notice that 5198 talks about control characters, CRLF in particular.
POP3 certainly involves CRLF. However, I am quite happy to be told it's
not needed.

> RFC 3629 is a normative reference already.

Sure, I didn't say it wasn't!

---

From: Alexey Melnikov <[email-masked]>
Date: Sat, 17 Oct 2009 21:28:03 +0100

>On 2009-10-18 01:26, Alexey Melnikov wrote: 
 [...]

>Yes, but I was asked to review it for both purposes simultaneously.
Ok, I now see what you meant.
I've interpreted your text as saying that the document would be on IESG 
telechat agenda before IETF LC finishes, which is not the case.